Anonymous Login
2019-02-22 12:16 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000973v3.0 Release[All Projects] Generalpublic2013-08-28 11:26
ReporterArtjoms 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0000973: PDF generation for large Gantt charts
DescriptionEvery time I try to print Gantt chart larger than X tasks it doesn' t generate. After several experiments noticed, that it happens only then when "smart_slice function" occurs. => if Gantt pdf is generated on several pages it won't print.

Web2Project v2.4
Linux Fedora
Apache 2.2
PHP 5.3.6

Although it refers to every configuration

TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002211

andres925 (reporter)

I was having the same issue this is what I did, look in your includes folder, open the file deprecated_functions.php and change line 0000201 from -->

0000201
$length = ($showNoMilestones) ? 26 : 25; --> this would only print 25 tasks any number over 25 will not print.

--> To
$length = ($showNoMilestones) ? 250: 250 ; --> this will print up to 250 tasks, and if you believe that the number needs to be higher just change it in this file.

It might not be the best solution but so far it works on my instance of web2p

~0002327

caseydk (administrator)

Resolved elsewhere in v3.0 development, nothing more to do for now;
+Notes

-Issue History
Date Modified Username Field Change
2011-09-18 22:43 Artjoms New Issue
2011-09-27 06:52 andres925 Note Added: 0002211
2011-09-27 23:18 caseydk Project v2.4 Release (Closed) => v3.0 Release
2011-11-26 22:40 caseydk Note Added: 0002327
2011-11-26 22:40 caseydk Status new => resolved
2011-11-26 22:40 caseydk Resolution open => fixed
2011-11-26 22:40 caseydk Assigned To => caseydk
2013-08-28 11:13 caseydk Fixed in Version => 3.0.0
2013-08-28 11:26 caseydk Status resolved => closed
+Issue History